Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ExtendedEvaluationStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.TupleFunctionEvaluationStrategy
    - - org.eclipse.rdf4j.query.algebra.evaluation.impl.ExtendedEvaluationStrategy

- All Implemented Interfaces:
    `EvaluationStrategy`, `FederatedServiceResolver`, `FederatedServiceResolverClient`, `UUIDable`

      public class ExtendedEvaluationStrategy
      extends TupleFunctionEvaluationStrategy

  SPARQL 1.1 extended query evaluation strategy. This strategy adds the use of virtual properties, as well as extended comparison and mathematical operators to the minimally-conforming `StrictEvaluationStrategy`.
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtendedEvaluationStrategy​(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver, long iterationCacheSyncThreshold, EvaluationStatistics evaluationStatistics)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Value` | `evaluate​(Compare node, BindingSet bindings)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Value` | `evaluate​(MathExpr node, BindingSet bindings)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `protected QueryValueEvaluationStep` | `prepare​(Compare node, QueryEvaluationContext context)` |
    `protected QueryValueEvaluationStep` | `prepare​(MathExpr node, QueryEvaluationContext context)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.TupleFunctionEvaluationStrategy

      `evaluate, evaluate, evaluate, precompile, prepare`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, isReducedOrDistinct, isTrue, isTrue, optimize, precompile, precompile, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, prepare, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime, supplyBinaryValueEvaluation, supplyUnaryValueEvaluation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.EvaluationStrategy

      `makeQueue, makeSet`

- - ### Constructor Detail

    - #### ExtendedEvaluationStrategy

          public ExtendedEvaluationStrategy​(TripleSource tripleSource,
                                            Dataset dataset,
                                            FederatedServiceResolver serviceResolver,
                                            long iterationCacheSyncThreshold,
                                            EvaluationStatistics evaluationStatistics)

  - ### Method Detail

    - #### evaluate

          @Deprecated(forRemoval=true)
          public Value evaluate​(Compare node,
                                BindingSet bindings)
                         throws ValueExprEvaluationException,
                                QueryEvaluationException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `ValueExprEvaluationException`
        `QueryEvaluationException`

    - #### prepare

          protected QueryValueEvaluationStep prepare​(Compare node,
                                                     QueryEvaluationContext context)

      Overrides:
        `prepare` in class `StrictEvaluationStrategy`

    - #### evaluate

          @Deprecated(forRemoval=true)
          public Value evaluate​(MathExpr node,
                                BindingSet bindings)
                         throws ValueExprEvaluationException,
                                QueryEvaluationException

      Deprecated, for removal: This API element is subject to removal in a future version.
      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `ValueExprEvaluationException`
        `QueryEvaluationException`

    - #### prepare

          protected QueryValueEvaluationStep prepare​(MathExpr node,
                                                     QueryEvaluationContext context)

      Overrides:
        `prepare` in class `StrictEvaluationStrategy`